Bug 435564 - Review Request: lure - Lure of the Temptress - Adventure Game
Review Request: lure - Lure of the Temptress - Adventure Game
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Schwendt
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-01 13:43 EST by Hans de Goede
Modified: 2008-03-12 16:55 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-12 16:55:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
bugs.michael: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Hans de Goede 2008-03-01 13:43:02 EST
Spec URL: http://people.atrpms.net/~hdegoede/lure.spec
SRPM URL: http://people.atrpms.net/~hdegoede/lure-1.1-1.fc9.src.rpm
Description:
Lure of the Temptress was Revolution's very first adventure game and work began
on it in 1989, even before Revolution's inception as an actual games
development company. From the start our aim was to consider the contemporary
adventures of the day and then bring something new to the genre. From this came
the Virtual Theatre engine. VT allowed in-game characters to wander around the
gameworld indepently of each other, living their own lives and doing their own
thing. Another feature allowed the player to give direct orders to Helper
characters - in this case Ratpouch - who would then go off to perform the task.

The result is a quirky and entertaining adventure game that kicked off
Revolution's fondness for characterisation and in-game humour.
Comment 1 Michael Schwendt 2008-03-02 08:35:19 EST
Trivial to review noarch packaging. But:

* Package lure needs scummvm >= 0.11.1, this is not available.

With both Rawhide and F8.

With the one from F8 it is incomplete (desktop file fails).

With the one from Rawhide, it starts, but complains about an
incorrect lure.dat version (1.28, expected 1.29) and drops back
into X at 640x480 plus a frozen mouse-pointer.
Comment 2 Hans de Goede 2008-03-02 16:46:06 EST
(In reply to comment #1)
> Trivial to review noarch packaging. But:
> 

Thanks!

> * Package lure needs scummvm >= 0.11.1, this is not available.
> 
> With both Rawhide and F8.
> 

Oops, I prepared a scummvm-0.11.1, but somehow forgot to commit, tag and build
it. Its on its way to rawhide now. I plan to build and release it for F-8
together with lure as one update.

> With the one from F8 it is incomplete (desktop file fails).
> 

Thats expected its to old.

> With the one from Rawhide, it starts, but complains about an
> incorrect lure.dat version (1.28, expected 1.29) and drops back
> into X at 640x480 plus a frozen mouse-pointer.
> 

The incorrect lure.dat message is expected, thats why it needs 0.11.1 not
0.11.0, the X being in the low resolution and frozen mouse pointer isn't. I had
the same error with 0.11.1 the other way around (too old lure.dat) and there
after the error the resolution and mouse were restored properly, so I guess this
is fixed with 0.11.1
Comment 3 Michael Schwendt 2008-03-03 07:18:45 EST
The sound is heavily distorted as soon as multiple channels are
mixed. Is this specific to Lure or a bug in scummvm?
Comment 4 Hans de Goede 2008-03-08 16:50:09 EST
(In reply to comment #3)
> The sound is heavily distorted as soon as multiple channels are
> mixed. Is this specific to Lure or a bug in scummvm?
> 

It was a specific lure bug, I say was as I just spend an entire day hunting it
down. koji has scummvm-0.11.1-2 know, which fixes this.

Also I'm seriously considering changing the desktop file to launch lure like
this, as that uses general midi emulation instead of adlib emulation:
scummvm -efluidsynth --soundfont=/usr/share/soundfonts/PCLite.sf2 -p
/usr/share/lure lure

Note that in order to actually have a /usr/share/soundfonts/PCLite.sf2 file you
need to have PersonalCopy-Lite-soundfont installed (I'll add a requires for 
PersonalCopy-Lite-soundfont to lure if I change the .desktop file to launch lure
like this).

Please let me know how the new scummvm works for you and if you like the
alternative way of launching lure?
Comment 5 Hans de Goede 2008-03-09 05:20:37 EDT
Here is a new version with the proposed changes:
Spec URL: http://people.atrpms.net/~hdegoede/lure.spec
SRPM URL: http://people.atrpms.net/~hdegoede/lure-1.1-2.fc9.src.rpm
Comment 6 Michael Schwendt 2008-03-11 04:46:11 EDT
> +# Requires: PersonalCopy-Lite-soundfont as our .desktop file passes cmdline
> +# options to scummvm to use fluidsynth midi emulation, which needs a soundfont
> +# This is done because with lure the default adlib emulation sounds rather poor
> +Requires:       scummvm >= 0.11.1-2, PersonalCopy-Lite-soundfont

The good news, the sound-fix works fine.

The bad news, I wholeheartedly disagree with the above comment.
For a game soundtrack from the early 90's, AdLib audio was the
better choice and the de facto standard (in popular soundcards
such as the Sound Blaster or Pro Audio Spectrum series). In many
cases, the musicians and composers created their soundtracks for
AdLib or OPL{2,3} hardware and drivers. A lot of synthetic
instruments cannot be replaced with GM samples without sounding
weird and doubtful. Switching Lure to GM emulation sounds worse.

So, thumbs up only for the combination of:

$ rpm -q scummvm lure
scummvm-0.11.1-2.fc9
lure-1.1-1.fc8
Comment 7 Hans de Goede 2008-03-11 05:55:35 EDT
(In reply to comment #6)
> The bad news, I wholeheartedly disagree with the above comment.
> For a game soundtrack from the early 90's, AdLib audio was the
> better choice and the de facto standard (in popular soundcards
> such as the Sound Blaster or Pro Audio Spectrum series). In many
> cases, the musicians and composers created their soundtracks for
> AdLib or OPL{2,3} hardware and drivers. A lot of synthetic
> instruments cannot be replaced with GM samples without sounding
> weird and doubtful. Switching Lure to GM emulation sounds worse.
> 

Hmm, well a problem with the adlib emulation is that its very soft (for example
still a bit soft when using my pc-speakers with all volume controls cranked up
to maximum).

But other then that in retrospect I agree it sounds better (I had been listening
to lure's music soundeffects for 2 full days, while working on fixing the sound.
I guess that influenced made my earlier call)

So I'll import the 1.1-1 version wich uses the upstream default adlib sound.

New Package CVS Request
=======================
Package Name:      lure
Short Description: Lure of the Temptress - Adventure Game
Owners:            jwrdegoede
Branches:          F-8
InitialCC: 
Cvsextras Commits: Yes
Comment 8 Kevin Fenzi 2008-03-12 13:18:37 EDT
cvs done.
Comment 9 Hans de Goede 2008-03-12 16:55:44 EDT
Imported and build, closing.

p.s.

Michael, thanks for the review!

Note You need to log in before you can comment on or make changes to this bug.